Name:          libtheora
Version:       1.2.0alpha1.20201211git
Release:       2mamba
Summary:       Theora video compression codec
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.theora.org/
Source0:       https://gitlab.xiph.org/xiph/theora.git/master/theora-%{version}%{?prever}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libvorbis-devel
## AUTOBUILDREQ-END
BuildRequires: libalsa-devel
BuildRequires: doxygen
BuildRequires: tetex-latex 
BuildRequires: transfig

%description
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free, general-purpose compressed video format.

%package     devel
Summary:     Headers for developing programs that will use libtheora
Group:       Development/Libraries
Requires:    %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free, general-purpose compressed video format.
This package contains the headers that programmers will need to develop applications which will use %{name}.

%package     tools
Summary:     Command line tools for Theora videos
Group:       Applications/Multimedia
Requires:    %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description  tools
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free, general-purpose compressed video format.
The %{name}-tools package contains simple command line tools for use with theora bitstreams

%debug_package

%prep
%setup -q -n theora-%{version}
./autogen.sh

%build
%configure \
   --enable-shared \
   --disable-static \
%ifarch arm
   --disable-asflag-probe
%endif

# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make
make -C doc/spec

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#rm -r %{buildroot}%{_docdir}/*

mkdir -p %{buildroot}%{_bindir}
install -m 755 examples/.libs/dump_video %{buildroot}%{_bindir}/theora_dump_video
install -m 755 examples/.libs/encoder_example %{buildroot}%{_bindir}/theora_encode
#install -m 755 examples/.libs/player_example %{buildroot}%{_bindir}/theora_player
install -m 755 examples/.libs/png2theora %{buildroot}%{_bindir}/png2theora

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtheora.so.*
%{_libdir}/libtheoradec.so.*
%{_libdir}/libtheoraenc.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/theora
%{_includedir}/theora/*.h
%{_libdir}/libtheoradec.so
%{_libdir}/libtheoraenc.so
%{_libdir}/libtheora.so
%{_libdir}/pkgconfig/theora.pc
%{_libdir}/pkgconfig/theoradec.pc
%{_libdir}/pkgconfig/theoraenc.pc
%dir %{_datadir}/doc/libtheora
%{_datadir}/doc/libtheora/*

%files tools
%defattr(-,root,root)
%{_bindir}/png2theora
%{_bindir}/theora_dump_video
%{_bindir}/theora_encode

%changelog
* Mon May 06 2024 Automatic Build System <autodist@openmamba.org> 1.2.0alpha1.20201211git-2mamba
- rebuilt to remove .la files and fix specfile

* Fri Dec 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0alpha1.20201211git-1mamba
- update to 1.2.0alpha1.20201211git
- aded debug package and aarch64 build fix

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Fri Jan 02 2009 gil <puntogil@libero.it> 1.0-6mamba
- fixed some error in the spec file

* Wed Dec 31 2008 gil <puntogil@libero.it> 1.0-5mamba
- update to 1.0RC2
- added package tools

* Tue Jun 12 2007 Aleph0 <aleph0@openmamba.org> 1.0-4mamba
- update to 1.0alpha7
- new package mantainer
- run ldconfig
- do not build libtheora.a

* Tue Jun 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-3qilnx
- package updated (version 1.0alpha4)
- added documentation to devel package

* Sat Oct 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-2qilnx
- specfile modified to match QiLinux standards

* Sun Sep 19 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.0-1qilnx
- first build
